Je kan het .NET-Framework voor ASP.NET en .NET Core gebruiken voor je website bij Vevida, als je beschikt over een Windows hosting-pakket. In dit artikel leggen we je graag uit welke versies wij ondersteunen.

Als jouw website gebruik maakt van ASP.NET of ASP.NET Core, dan is het van groot belang om deze altijd bij te werken naar de meest recente versie van de ASP.NET / ASP.NET Core. Zolang een bepaalde versie actief wordt ondersteund, en dus wordt voorzien van veiligheidsupdates, is deze versie bij Vevida beschikbaar.

Het bijwerken naar de meest recente versie geldt ook voor additionele pakketten die je bij je website gebruikt, bijvoorbeeld Connector/NET of ASP.NET MVC.

Wil je precies weten hoe Windows hosting werkt bij Vevida? Lees dan ons artikel Hoe werkt .NET 5.0 Hosting.

Link naar deze kopASP.NET

Voor ASP.NET, of .NET-Framework, is steeds de nieuwste versie beschikbaar. Op dit moment .NET-Framework versie 4.8.

Link naar deze kopExterne pakketten

Je kan met ASP.NET verschillende externe pakketten gebruiken. Denk hierbij aan ASP.NET MVC, ASP.NET Web Pages, Web API of SignalR. Voor deze externe pakketten gelden weer andere data tot wanneer ze ondersteund zijn. Je vindt dit in het stuk External Packages in Microsoft ASP.NET Support Policy.

Link naar deze kopASP.NET Core

.NET Core is een crossplatform, high performance framework voor het maken van moderne applicaties, ASP.NET Core is het framework voor webapplicaties en bij ons beschikbaar. Bij Vevida host je jouw ASP.NET Core webapplicatie in-process in IIS dankzij de ASP.NET Core Module.

Vevida ondersteunt altijd de huidige LTS-versies en de nieuwste versie van ASP.NET Core. Zolang een bepaalde versie actief wordt ondersteund, en dus wordt voorzien van veiligheidsupdates, is deze versie van ASP.NET Core bij Vevida beschikbaar.

Nadat een LTS-versie is uitgebracht wordt deze 3 jaar lang ondersteund door Microsoft, of tot 12 maanden na de release van een nieuwe LTS-versie. Welke van de twee de langste termijn is. Microsoft heeft de .NET Core release lifecycle uitgebreid beschreven.

Link naar deze kopWij ondersteunen de volgende ASP.NET Core versies

1 jan 2018 1 jan 2019 1 jan 2020 1 jan 2021 1 jan 2022 1 jan 2023 1 jan 2024 1 jan 2025 2.1 3.1 5.0

Actieve ondersteuning : Bugs en veiligheidsproblemen worden opgelost. Er worden geregeld nieuwe upgrades uitgebracht.

Alleen beveiligingsondersteuning: Alleen de noodzakelijke veiligheidsproblemen worden opgelost.

Wij ondersteunen deze versie niet meer.

Versie vanaf tot en met
.NET Core 2.1 30 mei 2018 21 aug 2021
.NET Core 3.1 3 dec 2019 3 dec 2022
.NET 5.0 10 nov 2020  

.NET 5.0 is a current release. That means that it will be supported for three months after .NET 6.0 is released. As a result, we expect to support .NET 5.0 through the middle of February 2022. .NET 6.0 will be an LTS release and will be supported for three years, just like .NET Core 3.1.
Platform and Microsoft Support

Link naar deze kop.NET 5.0

In november 2020 is .NET 5.0 uitgebracht. En al direct bij Vevida beschikbaar. Dit is een bijzondere release, want hierin worden .NET-Framework en .NET Core samengevoegd tot één cross-platform, high performance stack voor het ontwikkelen van applicaties dat op alle platformen (Windows, Linux) en devices (IoT, mobiel) werkt. Je leest hier wat nieuw is in .NET 5.

Helaas worden niet alle ASP.NET pakketten en onderdelen ondersteund in .NET 5.0. Of worden later nog verwijderd. Dus als jij wilt overstappen van .NET-Framework 4 naar .NET 5 en gebruikmaakt van bijvoorbeeld ASP.NET Web Forms, WCF (Windows Communication Foundation) of WWF (Windows Workflow Foundation), dan moet je dat ombouwen.

Technologie Aanbevolen alternatief
Web Forms ASP.NET Core Blazor or Razor Pages
Windows Communication Foundation (WCF) gRPC
Windows Workflow (WF) Open-source CoreWF

Microsoft heeft een uitgebreide lijst breaking changes for migration from version 3.1 to 5.0 beschreven. Welke .NET-Framework onderdelen niet meer beschikbaar zijn in .NET 5 houdt Microsoft bij in het artikel .NET Framework technologies unavailable on .NET Core and .NET 5+.

Om .NET Core 5.0 te kunnen gebruiken is Visual Studio versie 16.8 vereist.

Wat vind jij van dit antwoord?

Bedankt voor je feedback!

Er is een fout opgetreden. Probeer het later opnieuw.